## reform-tools 1.68

=== Makefile ===
#!/usr/bin/make -f

SHELL = /bin/sh
INSTALL = /usr/bin/install
INSTALLDATA = /usr/bin/install -m 644

prefix = /usr
datadir = $(prefix)/share
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libexecdir = $(prefix)/libexec
libdir = $(prefix)/lib
statedir = /var

BINPROGS=$(wildcard bin/*)
SBINPROGS=$(wildcard sbin/*)
MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))
MAN8=$(patsubst sbin/%,man/%.8,$(SBINPROGS))

.PHONY: all
all: $(MAN1) $(MAN8)

define help2man
man/%.$2: $1/%
	set -e;                                                               \
	mkdir -p man;                                                         \
	tool2whatis () { case $$$${1#reform-} in                              \
		boot-config)    echo "choose rootfs to boot from" ;;          \
		chat)           echo "chat on #mnt-reform" ;;                 \
		check)          echo "check your setup" ;;                    \
		compstat)       echo "system statistics for waybar" ;;        \
		config)         echo "select keyboard and timezone" ;;        \
		display-config) echo "select single/dual display" ;;          \
		emmc-bootstrap) echo "set up /boot on emmc for / on nvme" ;;  \
		flash-rescue)   echo "flash rescue image to eMMC" ;;          \
		flash-uboot)    echo "download and flash u-boot" ;;           \
		handbook)       echo "show Reform Handbook" ;;                \
		help)           echo "help with MNT Reform" ;;                \
		hw-setup)       echo "perform hardware tweaks" ;;             \
		migrate)        echo "copy rootfs to device" ;;               \
		mcu-tool)       echo "manage microcontrollers" ;;             \
		pavucontrol)    echo "kill and restart pavucontrol" ;;        \
		setup-encrypted-nvme) echo "setup encrypted SSD" ;;           \
		standby)        echo "suspend/wakeup tweaks" ;;               \
		*) echo "unknown tool: $$$$1" 2>&1; exit 1 ;;                 \
	esac; };                                                              \
	whatis="$$$$(tool2whatis "$$*")";                                     \
	version=$$$$(head -c4 CHANGELOG.md);                                  \
	case $$$$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac; \
	env "PATH=./$1:$$$$PATH" help2man                                     \
		--section=$2                                                  \
		--name="$$$$whatis"                                           \
		--no-info --version-string="$$$$version"                      \
		--no-discard-stderr "$$*"                                     \
		--output="$$@";                                               \

endef

$(eval $(call help2man,bin,1))

$(eval $(call help2man,sbin,8))

.PHONY: install
install:
	$(INSTALL)     -d $(DESTDIR)$(libdir)/NetworkManager/conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/NetworkManager/conf.d NetworkManager/default-wifi-powersave-off.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/udev/rules.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/udev/rules.d audio/99-reform-audio.rules
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/udev/rules.d udev/reform-ttymxc-wakeup.rules
	$(INSTALL)     -d $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/paths
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/paths audio/analog-input-reform.conf
	$(INSTALL)     -d $(DESTDIR)$(statedir)/lib/alsa
	$(INSTALLDATA) -t $(DESTDIR)$(statedir)/lib/alsa audio/asound.state
	$(INSTALL)     -d $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/profile-sets
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/pulseaudio/alsa-mixer/profile-sets audio/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(bindir)
	$(INSTALL)     -t $(DESTDIR)$(bindir) $(BINPROGS)
	$(INSTALL)     -d $(DESTDIR)$(datadir)/flash-kernel/preboot.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/preboot.d flash-kernel/preboot.d/00reform2_preboot
	$(INSTALL)     -d $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d flash-kernel/ubootenv.d/00reform2_ubootenv
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/hooks
	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/modules.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/initramfs-tools/modules.d initramfs-tools/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top
	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top initramfs-tools/scripts/reform
	$(INSTALL)     -d $(DESTDIR)$(datadir)/kernel/postinst.d
	$(INSTALL)     -t $(DESTDIR)$(datadir)/kernel/postinst.d kernel/zz-reform-tools
	$(INSTALL)     -d $(DESTDIR)$(libexecdir)/reform-tools
	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-tray.py
	$(INSTALL)     -t $(DESTDIR)$(libexecdir)/reform-tools libexec/reform-tools/reform-wallpaper.py
	$(INSTALL)     -d $(DESTDIR)$(datadir)/reform-tools/machines
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/reform-tools/machines machines/*
	$(INSTALL)     -d $(DESTDIR)$(libdir)/modprobe.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(sbindir)
	$(INSTALL)     -t $(DESTDIR)$(sbindir) $(SBINPROGS)
	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
	$(INSTALL)     -d $(DESTDIR)$(datadir)/u-boot-menu/conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/u-boot-menu/conf.d u-boot-menu/reform.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/dracut/dracut.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/dracut/dracut.conf.d dracut/20-pocket-reform.conf
	$(INSTALL)     -d $(DESTDIR)$(libdir)/sddm/sddm.conf.d
	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf

.PHONY: clean
clean:
	rm -f man/*.1 man/*.8

.PHONY: lint
lint:
	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
		bin sbin kernel/* initramfs-tools/*/* flash-kernel/*/*
	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
	black --line-length 120 --check --diff sbin/reform-mcu-tool
	shellcheck bin/* sbin/* kernel/* initramfs-tools/*/* flash-kernel/*/*

=== debian/changelog ===
reform-tools (1.68-1) unstable; urgency=medium

  * New upstream version 1.68
     - fix lpc/reform2_lpc.c for linux 6.13 (closes: #1095829)
  * debian/reform2-lpc-dkms.dkms: BUILD_EXCLUSIVE_KERNEL_MIN="5.18"
    Thanks to Andreas Beckmann <anbe@debian.org>

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 18 Feb 2025 19:21:01 +0100

reform-tools (1.67-1) unstable; urgency=medium

  * New upstream version 1.67
  * debian/control: reform2-lpc-dkms: improve description.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * debian/control: make Debian Reform Team the maintainer
  * debian/reform-tools.manpages: install reform-emmc-bootstrap.8

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 12 Feb 2025 15:14:22 +0100

reform-tools (1.66-1) unstable; urgency=medium

  * New upstream version 1.66

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 03 Feb 2025 22:16:04 +0100

reform-tools (1.63-1) unstable; urgency=medium

  * Initial upload (Closes: #1087928)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 03 Feb 2025 21:59:40 +0100

=== debian/control ===
Source: reform-tools
Section: admin
Priority: optional
Maintainer: Debian Reform Team <team+reform@tracker.debian.org>
Uploaders:
 Johannes Schauer Marin Rodrigues <josch@debian.org>,
Homepage: https://source.mnt.re/reform/reform-tools/
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
 help2man,
 python3-psutil,
 python3-usb1,
Vcs-Git: https://salsa.debian.org/reform-team/reform-tools.git
Vcs-Browser: https://salsa.debian.org/reform-team/reform-tools
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: reform-tools
Architecture: all
Depends:
 jq,
 alsa-utils,
 console-setup,
 debconf,
 gpiod,
 keyboard-configuration,
 mount,
 parted,
 procps,
 reform2-lpc-dkms,
 rsync,
 systemd,
 tzdata,
 ${misc:Depends},
Recommends:
 bmap-tools,
 brightnessctl,
 fonts-font-awesome,
 fonts-jetbrains-mono,
 foot,
 gir1.2-ayatanaappindicator3-0.1,
 gir1.2-gdesktopenums-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-gtklayershell-0.1,
 gir1.2-notify-0.7,
 gnome-system-monitor,
 ircii,
 pavucontrol,
 pulseaudio-utils,
 python3,
 python3-gi,
 python3-usb1,
 thunar,
 x11-xserver-utils,
Suggests:
 reform-branding,
Protected: yes
Description: MNT System Tools for MNT Reform and MNT Pocket Reform
 Utilities, scripts and configurations for the MNT Reform and MNT Pocket Reform
 open hardware laptops with either i.MX8MQ, i.MX8MPlus, Banana PI CM4, LS1028A
 or RK3588.
 .
 Contains system utilities to manage your installation as well as configuration
 files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
 NetworkManager.

Package: reform2-lpc-dkms
Architecture: all
Section: kernel
Depends:
 ${misc:Depends},
Description: dkms driver sources for Reform 2 LPC11U24
 The reform2_lpc kernel module allows for interaction with the NXP LPC11U24
 Cortex-M0 MCU system controller in the Reform 2 open hardware laptop. It
 controls an analog monitor chip for the eight battery cells as well as the
 charger. It is connected to the Processor Module via SPI, and has GPIO lines
 to the main power rail switchers in the system. It has a UART (SYSCTL) that
 the keyboard can talk to directly for issuing power on/off commands and
 battery status queries.
 .
 The reform2_lpc module provides battery status information and is necessary to
 completely shut down the system when powering it off via userspace.
 .
 This package provides sources for the reform2_lpc kernel module for use with
 the Dynamic Kernel Module Support (dkms) framework.

=== debian/rules ===
#!/usr/bin/make -f

# for debian/reform-tools.install and for dkms
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --package=reform-tools --name=reform-hw-setup
	dh_installsystemd --package=reform-tools --no-stop-on-upgrade --no-start --name=reform-sleep

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

execute_after_dh_install:
	# workaround until this is in unstable:
	# https://github.com/fwupd/fwupd/pull/8270
	mkdir -p debian/reform-tools/usr/lib/systemd/system/fwupd.service.d
	printf "[Unit]\nWants=modprobe@sd_mod.service\nAfter=modprobe@sd_mod.service" >debian/reform-tools/usr/lib/systemd/system/fwupd.service.d/pull8270.conf

## reform-tools 1.69

=== debian/changelog ===
reform-tools (1.69-1) unstable; urgency=medium

  * New upstream version 1.69
  * debian/reform-tools.docs: install upstream CHANGELOG.md
  * debian/rules: remove workaround for fwupd
  * debian/reform-tools.install: move sbin->bin
  * rm debian/reform-tools.manpages

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 10 Mar 2025 09:47:58 +0100

## reform-tools 1.71

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright 2024-2025 Johannes Schauer Marin Rodrigues <josch@mister-muffin.de>
 
 SHELL = /bin/sh
 INSTALL = /usr/bin/install
@@ -7,24 +9,20 @@
 prefix = /usr
 datadir = $(prefix)/share
 bindir = $(prefix)/bin
-sbindir = $(prefix)/sbin
 libexecdir = $(prefix)/libexec
 libdir = $(prefix)/lib
 statedir = /var
 
 BINPROGS=$(wildcard bin/*)
-SBINPROGS=$(wildcard sbin/*)
 MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))
-MAN8=$(patsubst sbin/%,man/%.8,$(SBINPROGS))
 
 .PHONY: all
-all: $(MAN1) $(MAN8)
+all: $(MAN1)
 
-define help2man
-man/%.$2: $1/%
+man/%.1: bin/%
 	set -e;                                                               \
 	mkdir -p man;                                                         \
-	tool2whatis () { case $$$${1#reform-} in                              \
+	tool2whatis () { case $${1#reform-} in                                \
 		boot-config)    echo "choose rootfs to boot from" ;;          \
 		chat)           echo "chat on #mnt-reform" ;;                 \
 		check)          echo "check your setup" ;;                    \
@@ -40,28 +38,23 @@
 		migrate)        echo "copy rootfs to device" ;;               \
 		mcu-tool)       echo "manage microcontrollers" ;;             \
 		pavucontrol)    echo "kill and restart pavucontrol" ;;        \
-		setup-encrypted-nvme) echo "setup encrypted SSD" ;;           \
+		setup-encrypted-disk) echo "setup encrypted disk" ;;          \
+		setup-encrypted-nvme) echo "use setup-encrypted-disk" ;;      \
 		standby)        echo "suspend/wakeup tweaks" ;;               \
-		*) echo "unknown tool: $$$$1" 2>&1; exit 1 ;;                 \
+		*) echo "unknown tool: $$1" 2>&1; exit 1 ;;                   \
 	esac; };                                                              \
-	whatis="$$$$(tool2whatis "$$*")";                                     \
-	version=$$$$(head -c4 CHANGELOG.md);                                  \
-	case $$$$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac; \
-	env "PATH=./$1:$$$$PATH" help2man                                     \
-		--section=$2                                                  \
-		--name="$$$$whatis"                                           \
-		--no-info --version-string="$$$$version"                      \
-		--no-discard-stderr "$$*"                                     \
-		--output="$$@";                                               \
-
-endef
-
-$(eval $(call help2man,bin,1))
-
-$(eval $(call help2man,sbin,8))
+	whatis="$$(tool2whatis "$*")";                                        \
+	version=$$(head -c4 CHANGELOG.md);                                    \
+	case $$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac;   \
+	env "PATH=./bin:$$PATH" help2man                                      \
+		--section=1                                                   \
+		--name="$$whatis"                                             \
+		--no-info --version-string="$$version"                        \
+		--no-discard-stderr "$*"                                      \
+		--output="$@";                                                \
 
 .PHONY: install
-install:
+install: $(MAN1)
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/NetworkManager/conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/NetworkManager/conf.d NetworkManager/default-wifi-powersave-off.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/udev/rules.d
@@ -94,30 +87,32 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/reform-tools/machines machines/*
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/modprobe.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
-	$(INSTALL)     -d $(DESTDIR)$(sbindir)
-	$(INSTALL)     -t $(DESTDIR)$(sbindir) $(SBINPROGS)
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
+	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/system
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/system systemd/reform-hw-setup.service systemd/reform-sleep.service
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/u-boot-menu/conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/u-boot-menu/conf.d u-boot-menu/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/dracut/dracut.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/dracut/dracut.conf.d dracut/20-pocket-reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/sddm/sddm.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
 
 .PHONY: clean
 clean:
-	rm -f man/*.1 man/*.8
+	rm -f man/*.1
 
 .PHONY: lint
 lint:
 	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
 	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
-		bin sbin kernel/* initramfs-tools/*/* flash-kernel/*/*
+		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
 	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
-	black --line-length 120 --check --diff sbin/reform-mcu-tool
-	shellcheck bin/* sbin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
+	black --line-length 120 --check --diff bin/reform-mcu-tool
+	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*

=== lpc/Makefile ===
obj-m := reform2_lpc.o
KERNEL_DIR = /lib/modules/$(shell uname -r)/build

all:
	$(MAKE) -C "$(KERNEL_DIR)" M="$(PWD)" modules

clean:
	$(MAKE) -C "$(KERNEL_DIR)" M="$(PWD)" clean

=== debian/changelog ===
reform-tools (1.71-2) unstable; urgency=medium

  * debian/control: re-introduce dhcpcd-base and iputils-ping which were
    accidentally removed
  * debian/control: firmware-iwlwifi is required for classic Reform with Intel
    wifi
  * debian/control: require debianutils (>= 5.21) for kernel hooks in
    /usr/share/kernel (Closes: #1104639)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 03 May 2025 23:34:22 +0200

reform-tools (1.71-1) unstable; urgency=medium

  * New upstream version 1.71
  * debian/control: add dependencies on debian-keyring for reform-flash-rescue
  * debian/control: add Recommends on ezurio-qcacld-2.0-dkms

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 11 Apr 2025 16:31:54 +0200

reform-tools (1.70-4) unstable; urgency=medium

  * debian/control: move flash-kernel to Recommends as it can only be installed
    on arm64, armel, armhf, riscv64 and loong64

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 11 Apr 2025 07:55:24 +0200

reform-tools (1.70-3) unstable; urgency=medium

  * source-only upload to allow transition to testing

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 10 Apr 2025 19:20:15 +0200

reform-tools (1.70-2) unstable; urgency=medium

  * debian/copyright: add section for lpc/reform2_lpc.c.
    Thanks to Thorsten Alteholz

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 07 Apr 2025 05:41:52 +0200

reform-tools (1.70-1) unstable; urgency=medium

  * New upstream version 1.70
  * add reform-desktop-full and reform-desktop-minimal meta-packages
  * debian/copyright: fix old-fsf-address-in-copyright-file

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 05 Apr 2025 13:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
 Package: reform-tools
 Architecture: all
 Depends:
- jq,
  alsa-utils,
  console-setup,
  debconf,
+ debianutils (>= 5.21),
  gpiod,
+ jq,
  keyboard-configuration,
  mount,
  parted,
@@ -37,6 +38,7 @@
 Recommends:
  bmap-tools,
  brightnessctl,
+ debian-keyring,
  fonts-font-awesome,
  fonts-jetbrains-mono,
  foot,
@@ -55,7 +57,6 @@
  python3-gi,
  python3-usb1,
  thunar,
- x11-xserver-utils,
 Suggests:
  reform-branding,
 Protected: yes
@@ -67,6 +68,191 @@
  Contains system utilities to manage your installation as well as configuration
  files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
  NetworkManager.
+
+Package: reform-desktop-full
+Architecture: all
+Section: metapackages
+Depends:
+ blueman,
+ bmap-tools,
+ brightnessctl,
+ dunst,
+ engrampa,
+ evince,
+ firefox-esr,
+ fonts-font-awesome,
+ fonts-inter,
+ fonts-jetbrains-mono,
+ fonts-noto-color-emoji,
+ foot,
+ gedit,
+ gir1.2-ayatanaappindicator3-0.1,
+ gir1.2-gdesktopenums-3.0,
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-gtklayershell-0.1,
+ gir1.2-notify-0.7,
+ gnome-disk-utility,
+ gnome-icon-theme,
+ gnome-settings-daemon,
+ gnome-system-monitor,
+ gnome-themes-extra-data,
+ grim,
+ gsettings-desktop-schemas,
+ gvfs-backends,
+ ircii,
+ kde-style-breeze,
+ libglib2.0-bin,
+ lxpolkit,
+ mesa-utils,
+ minetest,
+ mpv,
+ network-manager-gnome,
+ neverball,
+ papirus-icon-theme,
+ pasystray,
+ pavucontrol,
+ pulseaudio-utils,
+ python3,
+ python3-gi,
+ python3-usb1,
+ qt5ct,
+ reform-desktop-minimal,
+ reform-firedecor,
+ slurp,
+ sway,
+ swayidle,
+ swaylock,
+ sxiv,
+ thunar,
+ unicode-data,
+ waybar,
+ wayfire,
+ wayland-protocols,
+ wayvnc,
+ wev,
+ wf-recorder,
+ wireplumber,
+ wlr-randr,
+ wofi,
+ xterm,
+ xwayland,
+ ${misc:Depends},
+Description: MNT Reform Desktop Environment -- graphical desktop
+ The MNT Reform suite of open hardware computers comes with a default
+ Debian installation. This metapackage includes all packages required for
+ a full graphical desktop.
+
+Package: reform-desktop-minimal
+Architecture: all
+Section: metapackages
+Depends:
+ alsa-utils,
+ apt,
+ apt-file,
+ apt-listbugs,
+ apt-utils,
+ bash-completion,
+ brightness-udev,
+ brightnessctl,
+ bsdextrautils,
+ busybox,
+ ca-certificates,
+ console-data,
+ console-setup,
+ cpio,
+ cron,
+ cryptsetup,
+ cryptsetup-initramfs,
+ curl,
+ dbus-bin,
+ debian-archive-keyring,
+ debian-keyring,
+ dhcpcd-base,
+ dialog,
+ dosfstools,
+ e2fsprogs,
+ elinks,
+ fbset,
+ fdisk,
+ file,
+ gnupg,
+ gpiod,
+ gpm,
+ greetd,
+ hdparm,
+ htop,
+ iproute2,
+ iptables,
+ iputils-ping,
+ iw,
+ kbd,
+ less,
+ lm-sensors,
+ locales,
+ lshw,
+ lvm2,
+ man-db,
+ micro,
+ nano,
+ ncdu,
+ ncurses-term,
+ net-tools,
+ netbase,
+ netcat-openbsd,
+ network-manager,
+ nfacct,
+ ntpsec,
+ ntpsec-ntpdate,
+ nvme-cli,
+ openssh-client,
+ parted,
+ pciutils,
+ picotool,
+ pocket-reform-handbook,
+ procps,
+ python3-psutil,
+ readline-common,
+ reform-handbook,
+ reform-tools,
+ rfkill,
+ rsync,
+ sudo,
+ systemd,
+ systemd-sysv,
+ telnet,
+ tmux,
+ traceroute,
+ tuigreet,
+ u-boot-tools,
+ unzip,
+ usbutils,
+ vim,
+ w3m,
+ wavemon,
+ wget,
+ wireless-regdb,
+ wpasupplicant,
+ xdg-utils,
+ zstd,
+ ${misc:Depends},
+Recommends:
+ ezurio-qcacld-2.0-dkms,
+ flash-kernel,
+ linux-headers-mnt-reform-arm64,
+ linux-image-mnt-reform-arm64,
+Suggests:
+ firmware-atheros,
+ firmware-iwlwifi,
+ firmware-mediatek,
+ firmware-misc-nonfree,
+ firmware-realtek,
+ reform-branding,
+Description: MNT Reform Desktop Environment -- essential components
+ The MNT Reform suite of open hardware computers comes with a default
+ Debian installation. This metapackage includes all packages required for
+ a minimal non-graphical terminal based installation.
 
 Package: reform2-lpc-dkms
 Architecture: all

## reform-tools 1.75

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,9 @@
 		emmc-bootstrap) echo "set up /boot on emmc for / on nvme" ;;  \
 		flash-rescue)   echo "flash rescue image to eMMC" ;;          \
 		flash-uboot)    echo "download and flash u-boot" ;;           \
+		gnome-config)   echo "apply default config to GNOME" ;;       \
 		handbook)       echo "show Reform Handbook" ;;                \
+		pocket-reform-handbook) echo "show Pocket Reform Handbook" ;; \
 		help)           echo "help with MNT Reform" ;;                \
 		hw-setup)       echo "perform hardware tweaks" ;;             \
 		migrate)        echo "copy rootfs to device" ;;               \
@@ -89,8 +91,11 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/gdm/dconf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/gdm/dconf share/gdm/dconf/95-mnt-reform-settings
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/mnt-reform-next-y2k.jpg
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/system
@@ -103,6 +108,9 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/rk3588-tlv320aic3100.conf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/HiFi.conf
 
 .PHONY: clean
 clean:
@@ -116,3 +124,7 @@
 	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
 	black --line-length 120 --check --diff bin/reform-mcu-tool
 	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
+
+test:
+	# check the validity of gschema overrides
+	glib-compile-schemas --dry-run --strict schemas

=== debian/changelog ===
reform-tools (1.75-2) experimental; urgency=medium

  * debian/control: add rtkit D-Bus system service as recommended by
    pulseaudio to change the scheduling policy of pulseaudio (or pipewire) to
    SCHED_RR (i.e. realtime scheduling mode)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 01 Jul 2025 18:57:26 +0200

reform-tools (1.75-1) experimental; urgency=medium

  * New upstream version 1.75
  * debian/control: mark libglib2.0-bin with <!nocheck>

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 01 Jul 2025 11:12:15 +0200

reform-tools (1.74-1) experimental; urgency=medium

  * New upstream version 1.74
  * debian/control: sync with MNT repo
  * debian/control: add reform-desktop-full Depends on fwupd and fwupd
  * debian/control: add B-D on libglib2.0-bin for glib-compile-schemas in make test

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 Jun 2025 22:14:50 +0200

reform-tools (1.73-2) experimental; urgency=medium

  * debian/control: add reform-tools Depends on libglib2.0-bin to run
    glib-compile-schemas

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 08 Jun 2025 19:15:14 +0200

reform-tools (1.73-1) experimental; urgency=medium

  * New upstream version 1.73
  * switch meta packages from wayfire and tuigreet to gnome and gdm
  * install usr/share/gdm/dconf/95-mnt-reform-settings

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 28 May 2025 06:35:50 +0200

reform-tools (1.72-2) experimental; urgency=medium

  * cherry-pick patch from upstream: kernel/zz-reform-tools: always print
    something to STDERR
  * add debian/tests/dtbs for autopkgtest on arm64
  * debian/reform-tools.postinst: run kernel hook explicitly

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 18 May 2025 00:27:44 +0200

reform-tools (1.72-1) experimental; urgency=medium

  * New upstream version 1.72
  * debian/control: add Depends on linux-sysctl-defaults to make ping work

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 07 May 2025 23:22:37 +0200

## reform-tools 1.76

=== Makefile ===
--- 
+++ 
@@ -108,9 +108,9 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
-	$(INSTALL)     -d $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100
-	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/rk3588-tlv320aic3100.conf
-	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/HiFi.conf
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100.conf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/HiFi.conf
 
 .PHONY: clean
 clean:
@@ -127,4 +127,8 @@
 
 test:
 	# check the validity of gschema overrides
+	# Create a dummy placeholder file to convince glib-compile-schemas to
+	# not skip processing this directory
+	echo '<schemalist></schemalist>' > schemas/dummy.gschema.xml
 	glib-compile-schemas --dry-run --strict schemas
+	rm schemas/dummy.gschema.xml

=== debian/changelog ===
reform-tools (1.76-2) unstable; urgency=medium

  * Upload to unstable

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 10 Aug 2025 12:10:34 +0200

reform-tools (1.76-1) experimental; urgency=medium

  * New upstream version 1.76

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 19 Jul 2025 23:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
  help2man,
+ libglib2.0-bin <!nocheck>,
  python3-psutil,
  python3-usb1,
 Vcs-Git: https://salsa.debian.org/reform-team/reform-tools.git
@@ -27,6 +28,7 @@
  gpiod,
  jq,
  keyboard-configuration,
+ libglib2.0-bin,
  mount,
  parted,
  procps,
@@ -78,13 +80,17 @@
  brightnessctl,
  dunst,
  engrampa,
+ espeak-ng,
+ espeak-ng-data,
  evince,
  firefox-esr,
+ flatpak,
  fonts-font-awesome,
  fonts-inter,
  fonts-jetbrains-mono,
  fonts-noto-color-emoji,
  foot,
+ fwupd,
  gedit,
  gir1.2-ayatanaappindicator3-0.1,
  gir1.2-gdesktopenums-3.0,
@@ -93,9 +99,14 @@
  gir1.2-gtk-3.0,
  gir1.2-gtklayershell-0.1,
  gir1.2-notify-0.7,
+ gnome,
  gnome-disk-utility,
+ gnome-firmware,
  gnome-icon-theme,
  gnome-settings-daemon,
+ gnome-shell-extension-dashtodock,
+ gnome-shell-extension-manager,
+ gnome-software-plugin-flatpak,
  gnome-system-monitor,
  gnome-themes-extra-data,
  grim,
@@ -107,6 +118,7 @@
  lxpolkit,
  mesa-utils,
  minetest,
+ modemmanager,
  mpv,
  network-manager-gnome,
  neverball,
@@ -119,8 +131,9 @@
  python3-usb1,
  qt5ct,
  reform-desktop-minimal,
- reform-firedecor,
+ rtkit,
  slurp,
+ speech-dispatcher-espeak-ng,
  sway,
  swayidle,
  swaylock,
@@ -128,7 +141,6 @@
  thunar,
  unicode-data,
  waybar,
- wayfire,
  wayland-protocols,
  wayvnc,
  wev,
@@ -180,7 +192,6 @@
  gnupg,
  gpiod,
  gpm,
- greetd,
  hdparm,
  htop,
  iproute2,
@@ -189,6 +200,7 @@
  iw,
  kbd,
  less,
+ linux-sysctl-defaults,
  lm-sensors,
  locales,
  lshw,
@@ -224,7 +236,6 @@
  telnet,
  tmux,
  traceroute,
- tuigreet,
  u-boot-tools,
  unzip,
  usbutils,

## reform-tools 1.77

=== debian/changelog ===
reform-tools (1.77-1) unstable; urgency=medium

  * New upstream version 1.77
  * debian/control: bmap-tools was renamed to bmaptool

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 27 Aug 2025 10:16:02 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  tzdata,
  ${misc:Depends},
 Recommends:
- bmap-tools,
+ bmaptool,
  brightnessctl,
  debian-keyring,
  fonts-font-awesome,
@@ -76,7 +76,7 @@
 Section: metapackages
 Depends:
  blueman,
- bmap-tools,
+ bmaptool,
  brightnessctl,
  dunst,
  engrampa,

## reform-tools 1.78

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,11 @@
 		--no-discard-stderr "$*"                                      \
 		--output="$@";                                                \
 
+plymouth/background.png: ./share/backgrounds/mnt-reform-next-y2k.jpg
+	convert $< -resize 1920x1080 $@
+
 .PHONY: install
-install: $(MAN1)
+install: $(MAN1) plymouth/background.png
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/NetworkManager/conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/NetworkManager/conf.d NetworkManager/default-wifi-powersave-off.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/udev/rules.d
@@ -111,10 +114,27 @@
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100.conf
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/HiFi.conf
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k
+	set -e; for f in bullet capslock entry keyboard keymap-render lock; do \
+		ln --force --symbolic --no-target-directory ../spinner/$${f}.png $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$${f}.png; \
+	done
+		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$${f}.png";
+	set -e; for i in $$(seq 1 36); do \
+		filename=$$(printf "animation-%04d.png" "$$i"); \
+		ln --force --symbolic --no-target-directory ../spinner/$$filename $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$$filename; \
+	done
+		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
+	set -e; for i in $$(seq 1 30); do \
+		filename=$$(printf "throbber-%04d.png" "$$i"); \
+		ln --force --symbolic --no-target-directory ../spinner/$$filename $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/$$filename; \
+	done
+		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
 
 .PHONY: clean
 clean:
-	rm -f man/*.1
+	rm -f man/*.1 plymouth/background.png
 
 .PHONY: lint
 lint:

=== debian/changelog ===
reform-tools (1.78-1) unstable; urgency=medium

  * New upstream version 1.78
  * debian/control:
     * reform-desktop-full:
        - add alsa-ucm-conf to Depends as it ships UCM2 profiles in
          /usr/share/alsa/ucm2/ just as reform-tools does
        - remove gnome-themes-extra-data because Debian wants to remove it
          see #1112387
        - add plymouth to support the two-step module based reform-y2k theme
     * reform-desktop-minimal: replace console-data with console-setup-linux
       as the former might be deprecated, see https://bugs.debian.org/1110517
     * add B-D on imagemagick to convert plymouth background from jpg to png

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 30 Aug 2025 16:36:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
  help2man,
+ imagemagick,
  libglib2.0-bin <!nocheck>,
  python3-psutil,
  python3-usb1,
@@ -71,10 +72,13 @@
  files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
  NetworkManager.
 
+# FIXME: the plymouth plugin contains symlinks which rely on this change
+# in src:plymouth: https://bugs.debian.org/1112280
 Package: reform-desktop-full
 Architecture: all
 Section: metapackages
 Depends:
+ alsa-ucm-conf,
  blueman,
  bmaptool,
  brightnessctl,
@@ -108,7 +112,6 @@
  gnome-shell-extension-manager,
  gnome-software-plugin-flatpak,
  gnome-system-monitor,
- gnome-themes-extra-data,
  grim,
  gsettings-desktop-schemas,
  gvfs-backends,
@@ -125,6 +128,8 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
+ plymouth,
+ plymouth-themes,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -171,8 +176,8 @@
  bsdextrautils,
  busybox,
  ca-certificates,
- console-data,
  console-setup,
+ console-setup-linux,
  cpio,
  cron,
  cryptsetup,

## reform-tools 1.79

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 libexecdir = $(prefix)/libexec
 libdir = $(prefix)/lib
 statedir = /var
+sysconfdir = /etc
 
 BINPROGS=$(wildcard bin/*)
 MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))
@@ -79,6 +80,7 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d flash-kernel/ubootenv.d/00reform2_ubootenv
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/hooks
 	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform
+	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform-plymouth
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/modules.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/initramfs-tools/modules.d initramfs-tools/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top
@@ -131,6 +133,15 @@
 		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
+	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/user
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.service
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.socket
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.service
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.socket
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
+	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
+	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
 
 .PHONY: clean
 clean:

=== debian/changelog ===
reform-tools (1.79-2) unstable; urgency=medium

  * debian/patches: cherry-pick patch from upstream to stop installing files
    that conflict with pulseaudio
  * debian/control: replace abandoned gnome-icon-theme by adwaita-icon-theme
    (Closes: #1117090)
  * debian/reform-tools.install: wrap-and-sort -astb

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 09 Oct 2025 10:10:05 +0200

reform-tools (1.79-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream version 1.79
  * debian/control: remove *-mnt-reform-arm64 packages from Recommends
    (Closes: #1116115)
  * debian/control: remove plymouth from Depends

  [ Andreas Beckmann ]
  * debian/reform2-lpc-dkms.dkms: bump BUILD_EXCLUSIVE_KERNEL_MIN to 5.19
    because of sys-off handler (Closes: #1115430)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 25 Sep 2025 22:56:32 +0200

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
 Architecture: all
 Section: metapackages
 Depends:
+ adwaita-icon-theme,
  alsa-ucm-conf,
  blueman,
  bmaptool,
@@ -106,7 +107,6 @@
  gnome,
  gnome-disk-utility,
  gnome-firmware,
- gnome-icon-theme,
  gnome-settings-daemon,
  gnome-shell-extension-dashtodock,
  gnome-shell-extension-manager,
@@ -128,8 +128,6 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
- plymouth,
- plymouth-themes,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -256,8 +254,6 @@
 Recommends:
  ezurio-qcacld-2.0-dkms,
  flash-kernel,
- linux-headers-mnt-reform-arm64,
- linux-image-mnt-reform-arm64,
 Suggests:
  firmware-atheros,
  firmware-iwlwifi,

=== debian/rules ===
#!/usr/bin/make -f

# for debian/reform-tools.install and for dkms
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --package=reform-tools --name=reform-hw-setup
	dh_installsystemd --package=reform-tools --no-stop-on-upgrade --no-start --name=reform-sleep

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://source.mnt.re/reform/reform-tools/tags?sort=updated_desc -/archive/\d+\.\d+/reform-tools-@ANY_VERSION@\.tar\.gz

## reform-tools 1.80

=== Makefile ===
--- 
+++ 
@@ -133,15 +133,12 @@
 		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
-	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/user
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.service
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.socket
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.service
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.socket
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
 	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
 	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/doc/reform-tools/examples
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/doc/reform-tools/examples examples/keyboard_rainbow.py
 
 .PHONY: clean
 clean:
@@ -152,7 +149,7 @@
 	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
 	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
 		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
-	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
+	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py examples/keyboard_rainbow.py
 	black --line-length 120 --check --diff bin/reform-mcu-tool
 	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*

=== debian/changelog ===
reform-tools (1.80-1) unstable; urgency=medium

  * New upstream version 1.80
  * debian/control:
     - replace foot and xterm with ptyxis
     - add mesa-vulkan-drivers, vulkan-tools and tio

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 00:36:21 +0100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  debian-keyring,
  fonts-font-awesome,
  fonts-jetbrains-mono,
- foot,
  gir1.2-ayatanaappindicator3-0.1,
  gir1.2-gdesktopenums-3.0,
  gir1.2-gdkpixbuf-2.0,
@@ -94,7 +93,6 @@
  fonts-inter,
  fonts-jetbrains-mono,
  fonts-noto-color-emoji,
- foot,
  fwupd,
  gedit,
  gir1.2-ayatanaappindicator3-0.1,
@@ -120,6 +118,7 @@
  libglib2.0-bin,
  lxpolkit,
  mesa-utils,
+ mesa-vulkan-drivers,
  minetest,
  modemmanager,
  mpv,
@@ -128,6 +127,7 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
+ ptyxis,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -141,8 +141,10 @@
  swayidle,
  swaylock,
  sxiv,
+ tio,
  thunar,
  unicode-data,
+ vulkan-tools,
  waybar,
  wayland-protocols,
  wayvnc,
@@ -151,7 +153,6 @@
  wireplumber,
  wlr-randr,
  wofi,
- xterm,
  xwayland,
  ${misc:Depends},
 Description: MNT Reform Desktop Environment -- graphical desktop

## reform-tools 1.81

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 		setup-encrypted-disk) echo "setup encrypted disk" ;;          \
 		setup-encrypted-nvme) echo "use setup-encrypted-disk" ;;      \
 		standby)        echo "suspend/wakeup tweaks" ;;               \
+		waybar-icon-wedge) echo "launch waybar with custom icon theme" ;; \
 		*) echo "unknown tool: $$1" 2>&1; exit 1 ;;                   \
 	esac; };                                                              \
 	whatis="$$(tool2whatis "$*")";                                        \
@@ -139,6 +140,8 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/doc/reform-tools/examples
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/doc/reform-tools/examples examples/keyboard_rainbow.py
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/xdg-terminal-exec
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/xdg-terminal-exec share/xdg-terminal-exec/sway-xdg-terminals.list
 
 .PHONY: clean
 clean:

=== debian/changelog ===
reform-tools (1.81-2) unstable; urgency=medium

  * debian/reform-tools.install: install usr/share/xdg-terminal-exec

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 18:35:52 +0100

reform-tools (1.81-1) unstable; urgency=medium

  * New upstream version 1.81
  * debian/control: wrap-and-sort -astb

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 16:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -141,8 +141,8 @@
  swayidle,
  swaylock,
  sxiv,
+ thunar,
  tio,
- thunar,
  unicode-data,
  vulkan-tools,
  waybar,

=== debian/tests/control ===
Tests:
 dtbs,
Depends:
 linux-image-arm64,
Restrictions:
 allow-stderr,
 needs-root,
Architecture: arm64
